/*
 *  ERROR, {akii-root}/src/error.h
 *
 * ==========================================================================
 *
 *                      Arena Kliens II. Releases
 *
 * ==========================================================================
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 *
 * A legkiralyabb szovegszerkeszto: VIM - Vi IMproved 5  <http://www.vim.org>
 */

#ifndef _ERROR_H_
#define _ERROR_H_ 1

#define E0			3000
#define ENOCSUCSOS		E0+0
#define ENONUM			E0+1
#define ENOZAROKAPOCS		E0+2
#define ENOZAROJEL		E0+3
#define ENOZAROSZOGL		E0+4
#define ENOSEMMI		E0+5
#define ENOVAR			E0+6
#define ESTRUCT			E0+7
#define EEZFV			E0+8
#define EEZNEMFV		E0+9
#define ENULLVAR		E0+10
#define ENONSTRUCT		E0+11
#define EWRONGKIF		E0+12
#define ENOIDEZOJEL		E0+13
#define EVARKELL		E0+14
#define EVEGEREVAR		E0+15
#define ENOOPER			E0+16
#define EWHYKAPOCS              E0+17
#define EEZTULHOSSZU		E0+18
#define EILLEGALCHAR		E0+19
#define ENOZAROJELKEZD		E0+20
#define EWRONGON		E0+21
#define EWRONGFOR		E0+22
#define ECSAKBETU		E0+23
#define ENOIF			E0+24
#define EZAROKAPOCS		E0+25
#define ECONTNOLOOP		E0+26
#define EBRKNOLOOP		E0+27
#define EEZVEZER		E0+28
#define EWRONGTIMER		E0+29
#define EALIASNEM		E0+30
#define ERETURNNOALIAS		E0+31
#define ECSAKVAR		E0+32
#define EFOGLALT		E0+33
#define EURESALIAS		E0+34
#define EFOGLALTVEZER		E0+35
#define EWRONGFOREACH		E0+36
#define EWRONGDO		E0+37
#define EONNEVVAN		E0+38
#define ETIMERWRONGTIME		E0+39
#define ETIMERVAN		E0+40
#define EKEVESARG		E0+41
#define ENOFILE			E0+42
#define ENOTOMB			E0+43
#define EEZSOK			E0+44
#define ENINCSON		E0+45
#define ENOREGKIF		E0+46
#define EOSZTNULL		E0+47
#define ENOSTRUCTELEM		E0+48
#define EWRONGOPEN      	E0+49
#define EFILEEXIST		E0+50
#define ENOFP			E0+51
#define ENOTIMER		E0+52
#define EVAREXIST		E0+53
#define ELOCAL			E0+54
#define EESCNOCHECK		E0+55
#define ENONINON		E0+56
#define ENOMSGNEV		E0+57
#define ELOGEXIST		E0+58
#define EFILEFAIL		E0+59
#define EUSED			E0+60
#define ENOTUSED		E0+61
#define EROVID			E0+62
#define EKETTO			E0+63
#define ESALT			E0+64
#define EPURGE			E0+65
#define ERRMAX			E0+66

#define EEZUCCSE        "Ez nem tortenhetett meg..."

extern char *akiierr[];
extern char errtemp[1024];

extern int getlasterror(void);
extern char *geterrorstr(int);

#endif
